HepMC3 event record library: PDFInfo Struct Reference

HepMC3 event record library

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
PDFInfo Struct Reference

## Detailed Description

The PDFInfo class represents the information in a pdfinto tag.

Definition at line 1558 of file LHEF.h.

`#include <LHEF.h>`

Inheritance diagram for PDFInfo:
[legend]
Collaboration diagram for PDFInfo:
[legend]

## Public Types
typedef XMLTag::AttributeMap | AttributeMap

## Public Member Functions
| PDFInfo (double defscale=-1.0)
| PDFInfo (const XMLTag &tag, double defscale=-1.0)
void | print (std::ostream &file) const
bool | getattr (const std::string &n, double &v, bool erase=true)
bool | getattr (const std::string &n, bool &v, bool erase=true)
bool | getattr (const std::string &n, long &v, bool erase=true)
bool | getattr (const std::string &n, int &v, bool erase=true)
bool | getattr (const std::string &n, std::string &v, bool erase=true)
void | printattrs (std::ostream &file) const
void | closetag (std::ostream &file, const std::string &tag) const

## Static Public Member Functions
static std::string | yes ()

## Data Fields
long | p1
long | p2
double | x1
double | x2
double | xf1
double | xf2
double | scale
double | SCALUP
XMLTag::AttributeMap | attributes
std::string | contents

## Member Typedef Documentation

## ◆ AttributeMap

typedef XMLTag::AttributeMap AttributeMap
| inherited

Convenient typedef.

Definition at line 367 of file LHEF.h.

## Constructor & Destructor Documentation

## ◆ PDFInfo() [1/2]

PDFInfo | ( | double | defscale = -1.0 | ) |
| inline

Initialize default values.

Definition at line 1563 of file LHEF.h.

References p1, p2, scale, SCALUP, x1, x2, xf1, and xf2.

## ◆ PDFInfo() [2/2]

PDFInfo | ( | const XMLTag & | tag,
|  | double | defscale = -1.0 )
| inline

Create from XML tag.

Definition at line 1570 of file LHEF.h.

References TagBase::contents, TagBase::getattr(), p1, p2, scale, SCALUP, TagBase::TagBase(), x1, x2, xf1, and xf2.

## Member Function Documentation

## ◆ closetag()

void closetag | ( | std::ostream & | file,
|  | const std::string & | tag ) const
| inlineinherited

Print out end of tag marker. Print contents if not empty else print simple close tag.

Definition at line 463 of file LHEF.h.

References contents.

## ◆ getattr() [1/5]

bool getattr | ( | const std::string & | n,
|  | bool & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the bool variable v to true if the corresponding value is "yes". Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 400 of file LHEF.h.

References attributes.

## ◆ getattr() [2/5]

bool getattr | ( | const std::string & | n,
|  | double & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the double variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 386 of file LHEF.h.

References attributes.

## ◆ getattr() [3/5]

bool getattr | ( | const std::string & | n,
|  | int & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 428 of file LHEF.h.

References attributes.

## ◆ getattr() [4/5]

bool getattr | ( | const std::string & | n,
|  | long & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 414 of file LHEF.h.

References attributes.

## ◆ getattr() [5/5]

bool getattr | ( | const std::string & | n,
|  | std::string & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the string variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 442 of file LHEF.h.

References attributes.

## ◆ print()

void print | ( | std::ostream & | file | ) | const
| inline

Print out an XML tag.

Definition at line 1584 of file LHEF.h.

References LHEF::oattr(), p1, p2, TagBase::printattrs(), scale, SCALUP, x1, x2, xf1, and xf2.

## ◆ printattrs()

void printattrs | ( | std::ostream & | file | ) | const
| inlineinherited

print out ' name="value"' for all unparsed attributes.

Definition at line 453 of file LHEF.h.

References attributes, and LHEF::oattr().

## ◆ yes()

std::string yes | ( |  | ) |
| inlinestaticinherited

Static string token for truth values.

Definition at line 485 of file LHEF.h.

## Field Documentation

## ◆ attributes

XMLTag::AttributeMap attributes
| inherited

The attributes of this tag;

Definition at line 475 of file LHEF.h.

## ◆ contents

std::string contents
| mutableinherited

The contents of this tag.

Definition at line 480 of file LHEF.h.

## ◆ p1

long p1

The type of the incoming particle 1.

Definition at line 1599 of file LHEF.h.

## ◆ p2

long p2

The type of the incoming particle 2.

Definition at line 1604 of file LHEF.h.

## ◆ scale

double scale

The scale used in the PDF:s

Definition at line 1629 of file LHEF.h.

## ◆ SCALUP

double SCALUP

THe default scale in the event.

Definition at line 1634 of file LHEF.h.

## ◆ x1

double x1

The x-value used for the incoming particle 1.

Definition at line 1609 of file LHEF.h.

## ◆ x2

double x2

The x-value used for the incoming particle 2.

Definition at line 1614 of file LHEF.h.

## ◆ xf1

double xf1

The value of the pdf for the incoming particle 1.

Definition at line 1619 of file LHEF.h.

## ◆ xf2

double xf2

The value of the pdf for the incoming particle 2.

Definition at line 1624 of file LHEF.h.

The documentation for this struct was generated from the following file:

- LHEF.h